#! /bin/bash
prop=`dbus-send --session --print-reply --dest=com.deepin.daemon.InputDevices /com/deepin/daemon/InputDevice/Wacom org.freedesktop.DBus.Properties.Get string:"com.deepin.daemon.InputDevice.Wacom" string:"MouseEnterRemap"`
echo $prop

result="variant boolean "
mapping=$result"true"
unmapping=$result"false"

support=$(echo $prop | grep "${mapping}")
if [[ "$support" != "" ]]
then
    echo "support"

    value=$(echo $prop | grep "${unmapping}")
    
    if [[ "$value" != "" ]]
    then
        echo "setting valid"
    else
        echo `dbus-send --session --print-reply --dest=com.deepin.daemon.InputDevices /com/deepin/daemon/InputDevice/Wacom org.freedesktop.DBus.Properties.Set string:"com.deepin.daemon.InputDevice.Wacom" string:"MouseEnterRemap" boolean:false`
    fi  
else
    echo "unsupport mapping function"
fi
 
#if [[ "$prop" = *$unmapping* ]]; then
#    echo "uos's auto mapping is closed"
#elif [[ "$prop" = "*$mapping*" ]]; then
#    echo "try to close uos's auto mapping"  
#    echo `dbus-send --session --print-reply --dest=com.deepin.daemon.InputDevices /com/deepin/daemon/InputDevice/Wacom org.freedesktop.DBus.Properties.Set string:"com.deepin.daemon.InputDevice.Wacom" string:"MouseEnterRemap" boolean:false`
#else
#    echo "unsupport mapping function"
#fi

#判断CPU架构
cpu_structure=`arch`

amd64="x86_64"
arm64="aarch64"
mips64="mips64"


if [ "$cpu_structure" = "$amd64" ];then   
    cpu_structure=$amd64
elif [ "$cpu_structure" = "$arm64" ]; then
    cpu_structure=$arm64
elif [ "$cpu_structure" = "$mips64" ]; then
    cpu_structure=$mips64
fi

#执行操作
appName="TabletPanel_$cpu_structure"
appPath="/opt/apps/com.hvug.tabletmonitor/files/bin"
chmod +x "$appPath/$appName"
$appPath/$appName
